using NodePipeline.Configuration.Yaml.Internal_Models;
using YamlDotNet.Serialization;

namespace NodePipeline.Configuration.Yaml.Context;

[YamlStaticContext]
[YamlSerializable(typeof(YamlEditorPipelineConfig))]
[YamlSerializable(typeof(YamlEditorNodeConfig))]
[YamlSerializable(typeof(YamlEditorParameterConfig))]
[YamlSerializable(typeof(YamlEditorInputPort))]
[YamlSerializable(typeof(YamlEditorOutputPort))]
public partial class YamlPipelineConfigContext
{
}